ojph::mem_elastic_allocator::stores_list Struct Reference

## Public Member Functions

| stores_list (ui32 chunk_size)

## Public Attributes

stores_list * | next_store
ui32 | available
char * | data

## Constructor & Destructor Documentation

## stores_list()

ojph::mem_elastic_allocator::stores_list::stores_list | ( | ui32 | chunk_size | ) |

inline

References available, data, and next_store.

## Member Data Documentation

## available

ui32 ojph::mem_elastic_allocator::stores_list::available

Referenced by ojph::mem_elastic_allocator::get_buffer(), and stores_list().

## data

char* ojph::mem_elastic_allocator::stores_list::data

Referenced by ojph::mem_elastic_allocator::get_buffer(), and stores_list().

## next_store

stores_list* ojph::mem_elastic_allocator::stores_list::next_store

Referenced by ojph::mem_elastic_allocator::get_buffer(), stores_list(), and ojph::mem_elastic_allocator::~mem_elastic_allocator().

The documentation for this struct was generated from the following file:

- ojph_mem.h